package cn.reghao.devops.web.mgr.machine.db.query;

import cn.reghao.devops.web.mgr.app.model.vo.KeyValue;
import cn.reghao.devops.web.mgr.machine.model.po.MachineHost;
import cn.reghao.devops.web.mgr.machine.model.vo.MachineHostVO;
import cn.reghao.jutil.jdk.db.PageList;

import java.util.List;

/**
 * @author reghao
 * @date 2024-08-04 19:57:45
 */
public interface MachineQuery {
    PageList<MachineHostVO> getByPage(String env, int pageNumber, int pageSize);
    boolean isAgentOnline(String machineId);
    MachineHost getMachineHost(String machineId);
    List<KeyValue> onlineMachines(String env);
}
